This script fetches data from the "Abfallnavi" application developed by "regio iT" (https://www.regioit.de/produkte-leistungen/entsorgung/abfallapp-abfallnavi/) and converts it into ical files to import them in any regular calendar software. It is currently tested and used in Nuremberg.

Other cities which could be supported in the future:
  - Aachen (https://serviceportal.aachen.de/abfallnavi)
  - Bergischer Abfallwirtschaftsverband (https://www.bavweb.de/Kommunale-Entsorgung/)
    - Engelskirchen (https://www.bavweb.de/Kommunale-Entsorgung/Engelskirchen/)
    - …
  - Ahlen (https://www.ahlen.de/start/aub/abfallbeseitigung/abfall-navi/)
  - Solingen (https://www.solingen.de/tbs/inhalt/abfallnavi/)
  - Borgholzhausen (https://www.borgholzhausen.de/sv_borgholzhausen/Leben/Ver-%20und%20Entsorgung/Abfallentsorgung%20u.%20Beratung/Tonnenticker/)
  - And probably many more, let me know!

Installation
===

1. Clone the repository
2. Setup a python virtualenv with `virtualenv venv` and activate it with `. ./venv/bin/activate`
3. Install requirements with `pip install -r requirements.txt`
4. Run the generator: `python generate_ical.py`